org.codehaus.plexus.classworlds.event

## Class ResourceEventDebug

- java.lang.Object
- - org.codehaus.plexus.classworlds.event.ClassEventDebug
  - - org.codehaus.plexus.classworlds.event.ResourceEventDebug

All Implemented Interfaces:
  ClassEventListener, ResourceEventListener

    public class ResourceEventDebug
    extends ClassEventDebug
    implements ResourceEventListener

Created by IntelliJ IDEA.

### Constructor Summary

Constructors
Constructor and Description
`ResourceEventDebug()`

### Method Summary

Methods
`void` `failed(java.lang.String name, Strategy strategy)`
`void` `found(java.lang.String name, Strategy strategy, java.net.URL found)`
`void` `lookup(java.lang.String name, Strategy strategy)`

### Methods inherited from class org.codehaus.plexus.classworlds.event.ClassEventDebug

`failed, found, getClassName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceEventDebug

    public ResourceEventDebug()

### Method Detail

#### lookup

    public void lookup(java.lang.String name,
              Strategy strategy)

Specified by:
  `lookup` in interface `ClassEventListener`
Specified by:
  `lookup` in interface `ResourceEventListener`
Overrides:
  `lookup` in class `ClassEventDebug`

#### failed

    public void failed(java.lang.String name,
              Strategy strategy)

Specified by:
  `failed` in interface `ResourceEventListener`

#### found

    public void found(java.lang.String name,
             Strategy strategy,
             java.net.URL found)

Specified by:
  `found` in interface `ResourceEventListener`